import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
import { findVitestDependencies } from '../vitest/index.js';
export const NAME = 'Vite';
export const ENABLERS = ['vite'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['vite.config.{js,mjs,ts,cjs,mts,cts}'];
const findViteDependencies = async (configFilePath, options) => {
    const localConfig = await load(configFilePath);
    if (!localConfig)
        return [];
    return findVitestDependencies(configFilePath, localConfig, options);
};
export const findDependencies = timerify(findViteDependencies);
